/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package visual;

import datos.Altas;
import datos.Bajas;
import datos.Consultas;
import datos.Modificaciones;
import datos.Validaciones;
import flujos.Produccion;
import flujos.Ventas;
import java.util.ArrayList;
import javax.swing.JOptionPane;
import javax.swing.table.DefaultTableModel;
import objetos.Cotizacion;
import objetos.Material;
import objetos.Persona;
import objetos.Producto;

/**
 *
 * @author xam-lx
 */
public class Empleado extends javax.swing.JFrame {

    /**
     * Creates new form Usuario
     */
    ArrayList<Persona> tmpPersonas = new ArrayList<>();
    ArrayList<Cotizacion> tmpCotizaciones = new ArrayList<>();
    public Empleado() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jTabbedPane1 = new javax.swing.JTabbedPane();
        jTabbedPane3 = new javax.swing.JTabbedPane();
        jTabbedPane4 = new javax.swing.JTabbedPane();
        jPanel3 = new javax.swing.JPanel();
        jLabel3 = new javax.swing.JLabel();
        jTextFieldModeloAltaCoti = new javax.swing.JTextField();
        jLabel6 = new javax.swing.JLabel();
        jTextFieldModeloCantidadCoti = new javax.swing.JTextField();
        jLabel7 = new javax.swing.JLabel();
        jTextFieldPrecioAltaCoti = new javax.swing.JTextField();
        jButton1 = new javax.swing.JButton();
        jPanel4 = new javax.swing.JPanel();
        jTextFieldModeloSchCoti = new javax.swing.JTextField();
        jLabel8 = new javax.swing.JLabel();
        jButtonBjCoti = new javax.swing.JButton();
        jButtonSchCoti = new javax.swing.JButton();
        jButton5 = new javax.swing.JButton();
        jScrollPane1 = new javax.swing.JScrollPane();
        jTableSchCoti = new javax.swing.JTable();
        jButtonMdfCoti = new javax.swing.JButton();
        jPanel1 = new javax.swing.JPanel();
        jLabel1 = new javax.swing.JLabel();
        jButtonVentasSchClientes = new javax.swing.JButton();
        jScrollPane2 = new javax.swing.JScrollPane();
        jTableVentasSchCliente = new javax.swing.JTable();
        jTextSchCliente = new javax.swing.JTextField();
        jButton2 = new javax.swing.JButton();
        jLabel4 = new javax.swing.JLabel();
        jTextSchCliente1 = new javax.swing.JTextField();
        jLabel5 = new javax.swing.JLabel();
        jTextSchCliente2 = new javax.swing.JTextField();
        jScrollPane3 = new javax.swing.JScrollPane();
        jTableVentasSchCoti = new javax.swing.JTable();
        jButton3 = new javax.swing.JButton();
        jButtonVentasSchCoti = new javax.swing.JButton();
        jTextSchCotiVentas = new javax.swing.JTextField();
        jLabel9 = new javax.swing.JLabel();
        jButtonVender = new javax.swing.JButton();
        jPanel2 = new javax.swing.JPanel();
        jLabel2 = new javax.swing.JLabel();
        jButtonVentasSchBjCsClientes = new javax.swing.JButton();
        jScrollPane4 = new javax.swing.JScrollPane();
        jTableVentasSchBjCsCliente = new javax.swing.JTable();
        jTextSchBjCsNombreCliente = new javax.swing.JTextField();
        jButton6 = new javax.swing.JButton();
        jLabel10 = new javax.swing.JLabel();
        jTextSchBjCsApellidoCliente = new javax.swing.JTextField();
        jLabel11 = new javax.swing.JLabel();
        jTextSchBjCsRFCCliente = new javax.swing.JTextField();
        jScrollPane5 = new javax.swing.JScrollPane();
        jTableVentasBjScSch = new javax.swing.JTable();
        jTextSchBjCsCotiVentas = new javax.swing.JTextField();
        jLabel12 = new javax.swing.JLabel();
        jButton8 = new javax.swing.JButton();
        jTabbedPane2 = new javax.swing.JTabbedPane();
        jPanel5 = new javax.swing.JPanel();
        jLabel13 = new javax.swing.JLabel();
        jTextFieldProSchCP = new javax.swing.JTextField();
        jButtonProSchBP = new javax.swing.JButton();
        jButtonProSchCP = new javax.swing.JButton();
        jScrollPane6 = new javax.swing.JScrollPane();
        jTableProSchCP = new javax.swing.JTable();
        jButtonProSchBP1 = new javax.swing.JButton();
        jTabbedPane5 = new javax.swing.JTabbedPane();
        jPanel7 = new javax.swing.JPanel();
        jScrollPane7 = new javax.swing.JScrollPane();
        jTableMaterialPro = new javax.swing.JTable();
        jButtonMaterialProSch = new javax.swing.JButton();
        jLabel14 = new javax.swing.JLabel();
        jTextFieldMaterialPro = new javax.swing.JTextField();
        jButton7 = new javax.swing.JButton();
        jScrollPane8 = new javax.swing.JScrollPane();
        jTableMaterialParaPro = new javax.swing.JTable();
        jLabel15 = new javax.swing.JLabel();
        jTextFieldProductoPro = new javax.swing.JTextField();
        jButtonProductoPro = new javax.swing.JButton();
        jButtonAgregaProductoPro = new javax.swing.JButton();
        jScrollPane9 = new javax.swing.JScrollPane();
        jTableProductoSchPro = new javax.swing.JTable();
        jScrollPane10 = new javax.swing.JScrollPane();
        jTableProductoPro = new javax.swing.JTable();
        jLabel16 = new javax.swing.JLabel();
        jLabel17 = new javax.swing.JLabel();
        jButtonLimpiarSchMaterial = new javax.swing.JButton();
        jButtonProducir = new javax.swing.JButton();
        jButtonLimpiarSchMaterial1 = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);

        jLabel3.setText("Modelo");

        jLabel6.setText("Cantidad");

        jLabel7.setText("Precio");

        jButton1.setText("Alta");
        jButton1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton1ActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPanel3Layout = new javax.swing.GroupLayout(jPanel3);
        jPanel3.setLayout(jPanel3Layout);
        jPanel3Layout.setHorizontalGroup(
            jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel3Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel6)
                    .addComponent(jLabel3)
                    .addComponent(jLabel7))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel3Layout.createSequentialGroup()
                        .addGroup(jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jTextFieldPrecioAltaCoti, javax.swing.GroupLayout.PREFERRED_SIZE, 220, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jTextFieldModeloCantidadCoti, javax.swing.GroupLayout.PREFERRED_SIZE, 220, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                    .addGroup(jPanel3Layout.createSequentialGroup()
                        .addComponent(jTextFieldModeloAltaCoti, javax.swing.GroupLayout.PREFERRED_SIZE, 220, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 362, Short.MAX_VALUE)
                        .addComponent(jButton1)
                        .addGap(151, 151, 151))))
        );
        jPanel3Layout.setVerticalGroup(
            jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel3Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                        .addComponent(jLabel3)
                        .addComponent(jTextFieldModeloAltaCoti, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addComponent(jButton1))
                .addGap(14, 14, 14)
                .addGroup(jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel6)
                    .addComponent(jTextFieldModeloCantidadCoti, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel7)
                    .addComponent(jTextFieldPrecioAltaCoti, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(626, Short.MAX_VALUE))
        );

        jTabbedPane4.addTab("Altas", jPanel3);

        jLabel8.setText("Modelo");

        jButtonBjCoti.setText("Eliminar");
        jButtonBjCoti.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonBjCotiActionPerformed(evt);
            }
        });

        jButtonSchCoti.setText("Buscar");
        jButtonSchCoti.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonSchCotiActionPerformed(evt);
            }
        });

        jButton5.setText("Limpiar");
        jButton5.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton5ActionPerformed(evt);
            }
        });

        jTableSchCoti.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {

            },
            new String [] {
                "Modelo", "Cantidad", "Precio"
            }
        ));
        jScrollPane1.setViewportView(jTableSchCoti);

        jButtonMdfCoti.setText("Modificar");
        jButtonMdfCoti.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonMdfCotiActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPanel4Layout = new javax.swing.GroupLayout(jPanel4);
        jPanel4.setLayout(jPanel4Layout);
        jPanel4Layout.setHorizontalGroup(
            jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel4Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel4Layout.createSequentialGroup()
                        .addComponent(jLabel8)
                        .addGap(30, 30, 30)
                        .addComponent(jTextFieldModeloSchCoti, javax.swing.GroupLayout.PREFERRED_SIZE, 220, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(0, 0, Short.MAX_VALUE))
                    .addComponent(jScrollPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 692, Short.MAX_VALUE))
                .addGap(18, 18, 18)
                .addGroup(jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addComponent(jButtonMdfCoti, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(jButtonSchCoti, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(jButtonBjCoti, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(jButton5, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addGap(68, 68, 68))
        );
        jPanel4Layout.setVerticalGroup(
            jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel4Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel8)
                    .addComponent(jTextFieldModeloSchCoti, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(20, 20, 20)
                .addGroup(jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 192, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addGroup(jPanel4Layout.createSequentialGroup()
                        .addComponent(jButtonSchCoti)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(jButtonMdfCoti)
                        .addGap(18, 18, 18)
                        .addComponent(jButton5)
                        .addGap(18, 18, 18)
                        .addComponent(jButtonBjCoti)))
                .addContainerGap(490, Short.MAX_VALUE))
        );

        jTabbedPane4.addTab("Bajas Modificaciones", jPanel4);

        jTabbedPane3.addTab("Cotizaciones", jTabbedPane4);

        jLabel1.setText("Nombre del Cliente");

        jButtonVentasSchClientes.setText("Buscar");
        jButtonVentasSchClientes.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonVentasSchClientesActionPerformed(evt);
            }
        });

        jTableVentasSchCliente.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {

            },
            new String [] {
                "Nombre del Cliente", "Apellidos del Cliente"
            }
        ) {
            boolean[] canEdit = new boolean [] {
                false, false
            };

            public boolean isCellEditable(int rowIndex, int columnIndex) {
                return canEdit [columnIndex];
            }
        });
        jScrollPane2.setViewportView(jTableVentasSchCliente);

        jButton2.setText("Limpiar");
        jButton2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton2ActionPerformed(evt);
            }
        });

        jLabel4.setText("Apellido del Cliente");

        jLabel5.setText("RFC del Cliente");

        jTableVentasSchCoti.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {

            },
            new String [] {
                "Modelo", "Cantidad", "Precio"
            }
        ) {
            boolean[] canEdit = new boolean [] {
                false, false, false
            };

            public boolean isCellEditable(int rowIndex, int columnIndex) {
                return canEdit [columnIndex];
            }
        });
        jScrollPane3.setViewportView(jTableVentasSchCoti);

        jButton3.setText("Limpiar");
        jButton3.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton3ActionPerformed(evt);
            }
        });

        jButtonVentasSchCoti.setText("Buscar");
        jButtonVentasSchCoti.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonVentasSchCotiActionPerformed(evt);
            }
        });

        jLabel9.setText("Modelo");

        jButtonVender.setText("Vender");
        jButtonVender.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonVenderActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addComponent(jScrollPane2, javax.swing.GroupLayout.DEFAULT_SIZE, 574, Short.MAX_VALUE)
                            .addComponent(jScrollPane3))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 169, Short.MAX_VALUE)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jButtonVentasSchClientes, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.PREFERRED_SIZE, 100, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jButton2, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.PREFERRED_SIZE, 100, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jButton3, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.PREFERRED_SIZE, 100, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jButtonVentasSchCoti, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.PREFERRED_SIZE, 100, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jButtonVender, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.PREFERRED_SIZE, 100, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGap(39, 39, 39))
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addComponent(jLabel1)
                                    .addComponent(jLabel4)
                                    .addComponent(jLabel5))
                                .addGap(46, 46, 46)
                                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                                    .addComponent(jTextSchCliente1, javax.swing.GroupLayout.PREFERRED_SIZE, 237, javax.swing.GroupLayout.PREFERRED_SIZE)
                                    .addComponent(jTextSchCliente, javax.swing.GroupLayout.PREFERRED_SIZE, 237, javax.swing.GroupLayout.PREFERRED_SIZE)
                                    .addComponent(jTextSchCliente2, javax.swing.GroupLayout.PREFERRED_SIZE, 237, javax.swing.GroupLayout.PREFERRED_SIZE)))
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addComponent(jLabel9)
                                .addGap(129, 129, 129)
                                .addComponent(jTextSchCotiVentas, javax.swing.GroupLayout.PREFERRED_SIZE, 237, javax.swing.GroupLayout.PREFERRED_SIZE)))
                        .addGap(0, 0, Short.MAX_VALUE))))
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addGap(11, 11, 11)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel1)
                    .addComponent(jTextSchCliente, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jTextSchCliente1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel4))
                .addGap(18, 18, 18)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel5)
                    .addComponent(jTextSchCliente2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addComponent(jButtonVentasSchClientes)
                        .addGap(18, 18, 18)
                        .addComponent(jButton2))
                    .addComponent(jScrollPane2, javax.swing.GroupLayout.PREFERRED_SIZE, 115, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel9)
                    .addComponent(jTextSchCotiVentas, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(43, 43, 43)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addComponent(jButtonVentasSchCoti)
                        .addGap(18, 18, 18)
                        .addComponent(jButton3)
                        .addGap(18, 18, 18)
                        .addComponent(jButtonVender))
                    .addComponent(jScrollPane3, javax.swing.GroupLayout.PREFERRED_SIZE, 192, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(251, Short.MAX_VALUE))
        );

        jTabbedPane3.addTab("Vender", jPanel1);

        jLabel2.setText("Nombre del Cliente");

        jButtonVentasSchBjCsClientes.setText("Buscar");
        jButtonVentasSchBjCsClientes.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonVentasSchBjCsClientesActionPerformed(evt);
            }
        });

        jTableVentasSchBjCsCliente.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {

            },
            new String [] {
                "Nombre del Cliente", "Apellidos del Cliente"
            }
        ) {
            boolean[] canEdit = new boolean [] {
                false, false
            };

            public boolean isCellEditable(int rowIndex, int columnIndex) {
                return canEdit [columnIndex];
            }
        });
        jScrollPane4.setViewportView(jTableVentasSchBjCsCliente);

        jButton6.setText("Limpiar");
        jButton6.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton6ActionPerformed(evt);
            }
        });

        jLabel10.setText("Apellido del Cliente");

        jLabel11.setText("RFC del Cliente");

        jTableVentasBjScSch.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {

            },
            new String [] {
                "Modelo", "Cantidad", "Precio"
            }
        ) {
            boolean[] canEdit = new boolean [] {
                false, false, false
            };

            public boolean isCellEditable(int rowIndex, int columnIndex) {
                return canEdit [columnIndex];
            }
        });
        jScrollPane5.setViewportView(jTableVentasBjScSch);

        jLabel12.setText("Modelo");

        jButton8.setText("Eliminar");
        jButton8.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton8ActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPanel2Layout = new javax.swing.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel2Layout.createSequentialGroup()
                        .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addComponent(jScrollPane4, javax.swing.GroupLayout.DEFAULT_SIZE, 574, Short.MAX_VALUE)
                            .addComponent(jScrollPane5))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 169, Short.MAX_VALUE)
                        .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jButtonVentasSchBjCsClientes, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.PREFERRED_SIZE, 100, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jButton6, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.PREFERRED_SIZE, 100, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jButton8, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.PREFERRED_SIZE, 100, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGap(39, 39, 39))
                    .addGroup(jPanel2Layout.createSequentialGroup()
                        .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(jPanel2Layout.createSequentialGroup()
                                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addComponent(jLabel2)
                                    .addComponent(jLabel10)
                                    .addComponent(jLabel11))
                                .addGap(46, 46, 46)
                                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                                    .addComponent(jTextSchBjCsApellidoCliente, javax.swing.GroupLayout.PREFERRED_SIZE, 237, javax.swing.GroupLayout.PREFERRED_SIZE)
                                    .addComponent(jTextSchBjCsNombreCliente, javax.swing.GroupLayout.PREFERRED_SIZE, 237, javax.swing.GroupLayout.PREFERRED_SIZE)
                                    .addComponent(jTextSchBjCsRFCCliente, javax.swing.GroupLayout.PREFERRED_SIZE, 237, javax.swing.GroupLayout.PREFERRED_SIZE)))
                            .addGroup(jPanel2Layout.createSequentialGroup()
                                .addComponent(jLabel12)
                                .addGap(129, 129, 129)
                                .addComponent(jTextSchBjCsCotiVentas, javax.swing.GroupLayout.PREFERRED_SIZE, 237, javax.swing.GroupLayout.PREFERRED_SIZE)))
                        .addGap(0, 0, Short.MAX_VALUE))))
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addGap(11, 11, 11)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel2)
                    .addComponent(jTextSchBjCsNombreCliente, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jTextSchBjCsApellidoCliente, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel10))
                .addGap(18, 18, 18)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel11)
                    .addComponent(jTextSchBjCsRFCCliente, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel2Layout.createSequentialGroup()
                        .addComponent(jButtonVentasSchBjCsClientes)
                        .addGap(18, 18, 18)
                        .addComponent(jButton6)
                        .addGap(18, 18, 18)
                        .addComponent(jButton8))
                    .addComponent(jScrollPane4, javax.swing.GroupLayout.PREFERRED_SIZE, 115, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel12)
                    .addComponent(jTextSchBjCsCotiVentas, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(43, 43, 43)
                .addComponent(jScrollPane5, javax.swing.GroupLayout.PREFERRED_SIZE, 192, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(251, Short.MAX_VALUE))
        );

        jTabbedPane3.addTab("Bajas y Consultas de Ventas", jPanel2);

        jTabbedPane1.addTab("Ventas", jTabbedPane3);

        jLabel13.setText("Modelo");

        jButtonProSchBP.setText("Buscar");
        jButtonProSchBP.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonProSchBPActionPerformed(evt);
            }
        });

        jButtonProSchCP.setText("Crear Productos");
        jButtonProSchCP.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonProSchCPActionPerformed(evt);
            }
        });

        jTableProSchCP.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {

            },
            new String [] {
                "Modelo", "Cantidad", "Precio"
            }
        ) {
            boolean[] canEdit = new boolean [] {
                false, false, false
            };

            public boolean isCellEditable(int rowIndex, int columnIndex) {
                return canEdit [columnIndex];
            }
        });
        jScrollPane6.setViewportView(jTableProSchCP);

        jButtonProSchBP1.setText("Limpiar");
        jButtonProSchBP1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonProSchBP1ActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPanel5Layout = new javax.swing.GroupLayout(jPanel5);
        jPanel5.setLayout(jPanel5Layout);
        jPanel5Layout.setHorizontalGroup(
            jPanel5Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel5Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel5Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jScrollPane6, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addGroup(jPanel5Layout.createSequentialGroup()
                        .addComponent(jLabel13)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(jTextFieldProSchCP, javax.swing.GroupLayout.PREFERRED_SIZE, 220, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 231, Short.MAX_VALUE)
                .addGroup(jPanel5Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                    .addComponent(jButtonProSchBP, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(jButtonProSchCP, javax.swing.GroupLayout.DEFAULT_SIZE, 160, Short.MAX_VALUE)
                    .addComponent(jButtonProSchBP1, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addGap(38, 38, 38))
        );
        jPanel5Layout.setVerticalGroup(
            jPanel5Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel5Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel5Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jButtonProSchBP)
                    .addComponent(jTextFieldProSchCP, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel13))
                .addGap(36, 36, 36)
                .addGroup(jPanel5Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel5Layout.createSequentialGroup()
                        .addComponent(jButtonProSchCP)
                        .addGap(36, 36, 36)
                        .addComponent(jButtonProSchBP1))
                    .addComponent(jScrollPane6, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(265, Short.MAX_VALUE))
        );

        jTabbedPane2.addTab("Crear Productos", jPanel5);

        jTableMaterialPro.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {

            },
            new String [] {
                "Nombre", "Cantidad", "Precio"
            }
        ) {
            boolean[] canEdit = new boolean [] {
                false, false, false
            };

            public boolean isCellEditable(int rowIndex, int columnIndex) {
                return canEdit [columnIndex];
            }
        });
        jScrollPane7.setViewportView(jTableMaterialPro);

        jButtonMaterialProSch.setText("Buscar Materiales");
        jButtonMaterialProSch.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonMaterialProSchActionPerformed(evt);
            }
        });

        jLabel14.setText("Material");

        jTextFieldMaterialPro.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextFieldMaterialProActionPerformed(evt);
            }
        });

        jButton7.setText("Agregar para producción");
        jButton7.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton7ActionPerformed(evt);
            }
        });

        jTableMaterialParaPro.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {

            },
            new String [] {
                "Nombre", "Cantidad", "Costo"
            }
        ) {
            boolean[] canEdit = new boolean [] {
                false, false, false
            };

            public boolean isCellEditable(int rowIndex, int columnIndex) {
                return canEdit [columnIndex];
            }
        });
        jScrollPane8.setViewportView(jTableMaterialParaPro);

        jLabel15.setText("Producto");

        jButtonProductoPro.setText("Buscar Productos");
        jButtonProductoPro.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonProductoProActionPerformed(evt);
            }
        });

        jButtonAgregaProductoPro.setText("Agregar para producción");
        jButtonAgregaProductoPro.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonAgregaProductoProActionPerformed(evt);
            }
        });

        jTableProductoSchPro.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {

            },
            new String [] {
                "Modelo", "Cantidad", "Precio"
            }
        ) {
            boolean[] canEdit = new boolean [] {
                false, false, false
            };

            public boolean isCellEditable(int rowIndex, int columnIndex) {
                return canEdit [columnIndex];
            }
        });
        jScrollPane9.setViewportView(jTableProductoSchPro);

        jTableProductoPro.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {

            },
            new String [] {
                "Modelo", "Cantidad", "Precio"
            }
        ) {
            boolean[] canEdit = new boolean [] {
                false, false, false
            };

            public boolean isCellEditable(int rowIndex, int columnIndex) {
                return canEdit [columnIndex];
            }
        });
        jScrollPane10.setViewportView(jTableProductoPro);

        jLabel16.setText("<- Para producción");

        jLabel17.setText("<- Para producción");

        jButtonLimpiarSchMaterial.setText("Limpiar");
        jButtonLimpiarSchMaterial.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonLimpiarSchMaterialActionPerformed(evt);
            }
        });

        jButtonProducir.setText("Producir");
        jButtonProducir.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonProducirActionPerformed(evt);
            }
        });

        jButtonLimpiarSchMaterial1.setText("Limpiar");
        jButtonLimpiarSchMaterial1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonLimpiarSchMaterial1ActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPanel7Layout = new javax.swing.GroupLayout(jPanel7);
        jPanel7.setLayout(jPanel7Layout);
        jPanel7Layout.setHorizontalGroup(
            jPanel7Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel7Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel7Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                    .addComponent(jScrollPane9, javax.swing.GroupLayout.DEFAULT_SIZE, 637, Short.MAX_VALUE)
                    .addGroup(javax.swing.GroupLayout.Alignment.LEADING, jPanel7Layout.createSequentialGroup()
                        .addGroup(jPanel7Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabel14)
                            .addComponent(jLabel15))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(jPanel7Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(jPanel7Layout.createSequentialGroup()
                                .addComponent(jTextFieldProductoPro, javax.swing.GroupLayout.PREFERRED_SIZE, 186, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addGap(18, 18, 18)
                                .addComponent(jButtonProductoPro, javax.swing.GroupLayout.PREFERRED_SIZE, 275, javax.swing.GroupLayout.PREFERRED_SIZE))
                            .addGroup(jPanel7Layout.createSequentialGroup()
                                .addComponent(jTextFieldMaterialPro, javax.swing.GroupLayout.PREFERRED_SIZE, 209, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addGap(18, 18, 18)
                                .addComponent(jButtonMaterialProSch))))
                    .addComponent(jScrollPane7, javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jScrollPane8, javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jScrollPane10, javax.swing.GroupLayout.Alignment.LEADING))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(jPanel7Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel7Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                        .addComponent(jButton7, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(jButtonAgregaProductoPro, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                    .addComponent(jLabel16)
                    .addComponent(jLabel17)
                    .addComponent(jButtonProducir)
                    .addComponent(jButtonLimpiarSchMaterial)
                    .addComponent(jButtonLimpiarSchMaterial1))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        jPanel7Layout.setVerticalGroup(
            jPanel7Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel7Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel7Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jButtonMaterialProSch)
                    .addComponent(jTextFieldMaterialPro, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jButton7)
                    .addComponent(jLabel14))
                .addGap(18, 18, 18)
                .addGroup(jPanel7Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jScrollPane7, javax.swing.GroupLayout.PREFERRED_SIZE, 76, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jButtonLimpiarSchMaterial))
                .addGap(40, 40, 40)
                .addGroup(jPanel7Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel7Layout.createSequentialGroup()
                        .addComponent(jScrollPane8, javax.swing.GroupLayout.PREFERRED_SIZE, 67, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(18, 18, 18)
                        .addGroup(jPanel7Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(jPanel7Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                .addComponent(jLabel15)
                                .addComponent(jTextFieldProductoPro, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addComponent(jButtonProductoPro))
                            .addComponent(jButtonAgregaProductoPro)))
                    .addComponent(jLabel16))
                .addGap(18, 18, 18)
                .addGroup(jPanel7Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jScrollPane9, javax.swing.GroupLayout.PREFERRED_SIZE, 84, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jButtonLimpiarSchMaterial1))
                .addGap(31, 31, 31)
                .addGroup(jPanel7Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addComponent(jScrollPane10, javax.swing.GroupLayout.PREFERRED_SIZE, 84, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addGroup(jPanel7Layout.createSequentialGroup()
                        .addComponent(jLabel17)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(jButtonProducir)))
                .addContainerGap(235, Short.MAX_VALUE))
        );

        jTabbedPane5.addTab("Fabricación", jPanel7);

        jTabbedPane2.addTab("Producir", jTabbedPane5);

        jTabbedPane1.addTab("Producción", jTabbedPane2);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jTabbedPane1)
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jTabbedPane1)
                .addContainerGap())
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void jButtonVentasSchClientesActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonVentasSchClientesActionPerformed
        // Busca Cliente en ventas
        DefaultTableModel model = (DefaultTableModel) jTableVentasSchCliente.getModel();
        Consultas consultas = new Consultas();
        ArrayList<Persona> personas= consultas.busquedaDePersonas(new Persona(jTextSchCliente.getText(), "", "", "", "", "", ""), "Clientes");
        for (int i=0; i<personas.size(); i++) {
            model.addRow(new Object[]{
                personas.get(i).getNombres(),
                personas.get(i).getApellidos()});
            tmpPersonas.add(personas.get(i));
        }
    }//GEN-LAST:event_jButtonVentasSchClientesActionPerformed

    private void jButton2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton2ActionPerformed
        // Borra Cliente en ventas
        DefaultTableModel model = (DefaultTableModel) jTableVentasSchCliente.getModel();
        while (model.getRowCount() > 0){
            for (int i = 0; i < model.getRowCount(); ++i){
                model.removeRow(i);
            }
        }
        for (int i=0; i<tmpPersonas.size(); i++) {
            tmpPersonas.remove(0);
        }
    }//GEN-LAST:event_jButton2ActionPerformed

    private void jButton1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton1ActionPerformed
        // Alta de cotizacion
        String[] valCant = Validaciones.tryInt(jTextFieldModeloCantidadCoti.getText());
        String[] valPrecio = Validaciones.tryMoney(jTextFieldPrecioAltaCoti.getText());
        if (valCant[0]=="true" && valPrecio[0]=="true"){
            Cotizacion cotizacion = new Cotizacion(
                    jTextFieldModeloAltaCoti.getText(), 
                    Integer.parseInt(valCant[1]), 
                    Double.parseDouble(valPrecio[1]));
            Altas altas = new Altas();
            altas.altaDeCotizaciones(cotizacion);
            jTextFieldModeloAltaCoti.setText("");
            jTextFieldModeloCantidadCoti.setText("");
            jTextFieldPrecioAltaCoti.setText("");
        }else{
            JOptionPane.showConfirmDialog(null, "Cantidad es un valor cerrado y precio es un valor numerico");            
            jTextFieldModeloAltaCoti.setText("");
            jTextFieldModeloCantidadCoti.setText("");
            jTextFieldPrecioAltaCoti.setText("");
        }
    }//GEN-LAST:event_jButton1ActionPerformed

    private void jButtonSchCotiActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonSchCotiActionPerformed
        // Buscar cotizaciones
        Consultas consultas = new Consultas();
        ArrayList<Cotizacion> cotizaciones = consultas.busquedaDeCotizaciones(new Cotizacion(jTextFieldModeloSchCoti.getText(), 0, 0.0));
        DefaultTableModel model = (DefaultTableModel) jTableSchCoti.getModel();
        for (int i=0; i<cotizaciones.size(); i++) {
            model.addRow(new Object[]{
            cotizaciones.get(i).getModelo(),
            cotizaciones.get(i).getCantidad(),
            cotizaciones.get(i).getPrecio()});
            tmpCotizaciones.add(cotizaciones.get(i));
        }
    }//GEN-LAST:event_jButtonSchCotiActionPerformed

    private void jButtonMdfCotiActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonMdfCotiActionPerformed
        ArrayList<Cotizacion> cotizacionesMdf = new ArrayList<>();
        DefaultTableModel model = (DefaultTableModel) jTableSchCoti.getModel();
        Modificaciones modificaciones = new Modificaciones();
        for (int i=0; i<model.getRowCount(); i++) {
            cotizacionesMdf.add(new Cotizacion(
                    String.valueOf(model.getValueAt(i, 0)), 
                    Integer.parseInt(String.valueOf(model.getValueAt(i, 1))), 
                    Double.parseDouble(String.valueOf(model.getValueAt(i, 2)))));
        }
        modificaciones.modificacionDeCotizaciones(cotizacionesMdf, tmpCotizaciones);
    }//GEN-LAST:event_jButtonMdfCotiActionPerformed

    private void jButton5ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton5ActionPerformed
        // TODO add your handling code here:
        DefaultTableModel model = (DefaultTableModel) jTableSchCoti.getModel();
        while (model.getRowCount() > 0){
            for (int i = 0; i < model.getRowCount(); ++i){
                model.removeRow(i);
            }
        }
        for (int i=0; i<tmpCotizaciones.size(); i++) {
            tmpCotizaciones.remove(0);
        }
    }//GEN-LAST:event_jButton5ActionPerformed

    private void jButtonBjCotiActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonBjCotiActionPerformed
        // TODO add your handling code here:
        DefaultTableModel model = (DefaultTableModel) jTableSchCoti.getModel();
        ArrayList<Cotizacion> cotizacionesRm = new ArrayList<>();
        Bajas bajas = new Bajas();
        for (int i=0; i<model.getRowCount(); i++) {
            cotizacionesRm.add(new Cotizacion(
                    String.valueOf(model.getValueAt(i, 0)), 
                    Integer.parseInt(String.valueOf(model.getValueAt(i, 1))), 
                    Double.parseDouble(String.valueOf(model.getValueAt(i, 2)))));
        }
        bajas.bajaDeCotizaciones(cotizacionesRm);
        while (model.getRowCount() > 0){
            for (int i = 0; i < model.getRowCount(); ++i){
                model.removeRow(i);
            }
        }
        jTextFieldModeloSchCoti.setText("");
    }//GEN-LAST:event_jButtonBjCotiActionPerformed

    private void jButton3ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton3ActionPerformed
        // TODO add your handling code here:
        DefaultTableModel model = (DefaultTableModel) jTableVentasSchCoti.getModel();
        while (model.getRowCount() > 0){
            for (int i = 0; i < model.getRowCount(); ++i){
                model.removeRow(i);
            }
        }
        for (int i=0; i<tmpCotizaciones.size(); i++) {
            tmpCotizaciones.remove(0);
        }
    }//GEN-LAST:event_jButton3ActionPerformed

    private void jButtonVentasSchCotiActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonVentasSchCotiActionPerformed
        // Busca cotizacion para ventas
        Cotizacion cotizacion = new Cotizacion(jTextSchCotiVentas.getText(), 0, 0.0);
        Consultas consultas = new Consultas();
        ArrayList<Cotizacion> cotizaciones = consultas.busquedaDeCotizaciones(cotizacion);
        DefaultTableModel model = (DefaultTableModel) jTableVentasSchCoti.getModel();
        for (int i=0; i<cotizaciones.size(); i++) {
            model.addRow(new Object[]{
                cotizaciones.get(i).getModelo(),
                cotizaciones.get(i).getCantidad(),
                cotizaciones.get(i).getPrecio()});
            tmpCotizaciones.add(cotizaciones.get(i));
        }
    }//GEN-LAST:event_jButtonVentasSchCotiActionPerformed

    private void jButtonVenderActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonVenderActionPerformed
        // TODO add your handling code here:
        Ventas ventas = new Ventas();
        Altas altas = new Altas();
        ArrayList<Producto> productos = new ArrayList<>();
        ventas.vender(tmpCotizaciones, tmpPersonas);/*
        for (int i=0; i<tmpCotizaciones.size(); i++) {
            altas.altaDeProductos(new Producto(
                    tmpCotizaciones.get(i).getModelo(), 
                    tmpCotizaciones.get(i).getPrecio(), 
                    tmpCotizaciones.get(i).getCantidad()));
        }*/        
    }//GEN-LAST:event_jButtonVenderActionPerformed

    private void jButtonVentasSchBjCsClientesActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonVentasSchBjCsClientesActionPerformed
        // Bajas Modificaciones de Ventas
        Ventas ventas = new Ventas();
        if (!"".equals(jTextSchBjCsNombreCliente.getText()) ||  !"".equals(jTextSchBjCsApellidoCliente.getText()) || !"".equals(jTextSchBjCsRFCCliente.getText())){
                Persona cliente = new Persona(
                    jTextSchBjCsNombreCliente.getText(), 
                    jTextSchBjCsApellidoCliente.getText(), "", "", "", 
                    jTextSchBjCsRFCCliente.getText(), "");
            DefaultTableModel modelCotizaciones = (DefaultTableModel) jTableVentasBjScSch.getModel();
            ArrayList<Cotizacion> cotizaciones = ventas.buscarCotizacionesPorCliente(cliente);
            for (int i=0; i<cotizaciones.size(); i++) {
                modelCotizaciones.addRow(new Object[]{
                cotizaciones.get(i).getModelo(),
                cotizaciones.get(i).getCantidad(),
                cotizaciones.get(i).getPrecio()});
                tmpCotizaciones.add(cotizaciones.get(i));
            }
        }
        if (!"".equals(jTextSchBjCsCotiVentas.getText())){
            DefaultTableModel modeloClientes = (DefaultTableModel) jTableVentasSchBjCsCliente.getModel();
            Cotizacion cotizacion  = new Cotizacion(jTextSchBjCsCotiVentas.getText(), 0, 0.0);
            ArrayList<Persona> personas = ventas.buscarPersonasPorCotizacion(cotizacion);
            for (int i=0; i<personas.size(); i++) {
                modeloClientes.addRow(new Object[]{
                personas.get(i).getNombres(),
                personas.get(i).getApellidos()});
                tmpPersonas.add(personas.get(i));
            }
        }
    }//GEN-LAST:event_jButtonVentasSchBjCsClientesActionPerformed

    private void jButton6ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton6ActionPerformed
        // TODO add your handling code here:
        DefaultTableModel modelCotizaciones = (DefaultTableModel) jTableVentasBjScSch.getModel();
        DefaultTableModel modeloClientes = (DefaultTableModel) jTableVentasSchBjCsCliente.getModel();        
        while (modelCotizaciones.getRowCount()>0){
            for (int i=0; i<modelCotizaciones.getRowCount(); ++i){
                modelCotizaciones.removeRow(i);
            }
        }        
        while (modeloClientes.getRowCount()>0){
            for (int i=0; i<modeloClientes.getRowCount(); ++i){
                modeloClientes.removeRow(i);
            }
        }        
        for (int i=0; i<tmpPersonas.size(); i++) {
            tmpPersonas.remove(0);
        }
        for (int i=0; i<tmpCotizaciones.size(); i++) {
            tmpCotizaciones.remove(0);
        }        
    }//GEN-LAST:event_jButton6ActionPerformed

    private void jButton8ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton8ActionPerformed
        // TODO add your handling code here:
        int ax = JOptionPane.showConfirmDialog(null, "¿Seguro que desea eliminar las relaciones en las tablas?");
        if (ax==JOptionPane.YES_OPTION){            
            DefaultTableModel modelCotizaciones = (DefaultTableModel) jTableVentasBjScSch.getModel();
            DefaultTableModel modeloClientes = (DefaultTableModel) jTableVentasSchBjCsCliente.getModel();
            Ventas ventas = new Ventas();
            ventas.eliminaRelaciones(tmpPersonas, tmpCotizaciones);
            while (modelCotizaciones.getRowCount()>0){
                for (int i=0; i<modelCotizaciones.getRowCount(); ++i){
                    modelCotizaciones.removeRow(i);
                }
            }        
            while (modeloClientes.getRowCount()>0){
                for (int i=0; i<modeloClientes.getRowCount(); ++i){
                    modeloClientes.removeRow(i);
                }
            }        
            for (int i=0; i<tmpPersonas.size(); i++) {
                tmpPersonas.remove(0);
            }
            for (int i=0; i<tmpCotizaciones.size(); i++) {
                tmpCotizaciones.remove(0);
            }
        }
    }//GEN-LAST:event_jButton8ActionPerformed

    private void jButtonProSchBPActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonProSchBPActionPerformed
        // TODO add your handling code here:
        Consultas consultas = new Consultas();
        DefaultTableModel model = (DefaultTableModel) jTableProSchCP.getModel();
        ArrayList<Cotizacion> cotizaciones = consultas.busquedaDeCotizaciones(new Cotizacion(
                jTextFieldProSchCP.getText(), 0, 0.0));
        for (int i=0; i<cotizaciones.size(); i++) {
            model.addRow(new Object[]{
            cotizaciones.get(i).getModelo(),
            cotizaciones.get(i).getCantidad(),
            cotizaciones.get(i).getPrecio()});
        }
    }//GEN-LAST:event_jButtonProSchBPActionPerformed

    private void jButtonProSchCPActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonProSchCPActionPerformed
        // TODO add your handling code here:
        Altas altas = new Altas();
        DefaultTableModel model = (DefaultTableModel) jTableProSchCP.getModel();
        ArrayList<Producto> productos = new ArrayList<>();
        for (int i=0; i<model.getRowCount(); i++) {
            productos.add(new Producto(
                    String.valueOf(model.getValueAt(i, 0)), 
                    Double.parseDouble(String.valueOf(model.getValueAt(i, 2))), 
                    Integer.parseInt(String.valueOf(model.getValueAt(i, 1))) ));
            
            System.out.println(productos.get(i).getModelo()+" "+productos.get(i).getCantidad()+" "+productos.get(i).getPrecio());
        }
        for (int i=0; i<productos.size(); i++) {
            altas.altaDeProductos(productos.get(i));
        }
    }//GEN-LAST:event_jButtonProSchCPActionPerformed

    private void jButtonProSchBP1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonProSchBP1ActionPerformed
        // TODO add your handling code here:
        DefaultTableModel model = (DefaultTableModel) jTableProSchCP.getModel();
        while (model.getRowCount() > 0){
            for (int i = 0; i < model.getRowCount(); ++i){
                model.removeRow(i);
            }
        }
    }//GEN-LAST:event_jButtonProSchBP1ActionPerformed

    private void jTextFieldMaterialProActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextFieldMaterialProActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jTextFieldMaterialProActionPerformed

    private void jButtonAgregaProductoProActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonAgregaProductoProActionPerformed
        // TODO add your handling code here:
        DefaultTableModel modelSch = (DefaultTableModel) jTableProductoSchPro.getModel();
        DefaultTableModel modelAdd = (DefaultTableModel) jTableProductoPro.getModel();
        for (int i=0; i<modelSch.getRowCount(); i++) {
            modelAdd.addRow(new Object[]{
            modelSch.getValueAt(i, 0),
            modelSch.getValueAt(i, 1),
            modelSch.getValueAt(i, 2)});
        }
    }//GEN-LAST:event_jButtonAgregaProductoProActionPerformed

    private void jButtonMaterialProSchActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonMaterialProSchActionPerformed
        // TODO add your handling code here:
        Consultas consultas = new Consultas();
        ArrayList<Material> materialesSch = consultas.busquedaDemateriales(new Material(jTextFieldMaterialPro.getText(), 0, 0.0));
        DefaultTableModel model = (DefaultTableModel) jTableMaterialPro.getModel();
        for (int i=0; i<materialesSch.size(); i++) {
            model.addRow(new Object[]{
            materialesSch.get(i).getNombre(),
            materialesSch.get(i).getCantidad(),
            materialesSch.get(i).getCosto()});
        }
    }//GEN-LAST:event_jButtonMaterialProSchActionPerformed

    private void jButtonLimpiarSchMaterialActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonLimpiarSchMaterialActionPerformed
        // TODO add your handling code here:
        DefaultTableModel model = (DefaultTableModel) jTableMaterialPro.getModel();
        while (model.getRowCount() > 0){
            for (int i = 0; i < model.getRowCount(); ++i){
                model.removeRow(i);
            }
        }
    }//GEN-LAST:event_jButtonLimpiarSchMaterialActionPerformed

    private void jButton7ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton7ActionPerformed
        // TODO add your handling code here:
        DefaultTableModel modelSch = (DefaultTableModel) jTableMaterialPro.getModel();
        DefaultTableModel modelAdd = (DefaultTableModel) jTableMaterialParaPro.getModel();
        for (int i=0; i<modelSch.getRowCount(); i++) {
            modelAdd.addRow(new Object[]{
            modelSch.getValueAt(i, 0),
            modelSch.getValueAt(i, 1),
            modelSch.getValueAt(i, 2)});
        }
    }//GEN-LAST:event_jButton7ActionPerformed

    private void jButtonProductoProActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonProductoProActionPerformed
        // TODO add your handling code here:
        Consultas consultas = new Consultas();
        ArrayList<Producto> productos =  consultas.busquedaDeProductos(new Producto(jTextFieldProductoPro.getText(), 0.0, 0));
        DefaultTableModel model = (DefaultTableModel) jTableProductoSchPro.getModel();
        for (int i=0; i<productos.size(); i++) {
            model.addRow(new Object[]{
            productos.get(i).getModelo(),
            productos.get(i).getCantidad(),
            productos.get(i).getPrecio()});
        }
    }//GEN-LAST:event_jButtonProductoProActionPerformed

    private void jButtonLimpiarSchMaterial1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonLimpiarSchMaterial1ActionPerformed
        // TODO add your handling code here:
        DefaultTableModel model = (DefaultTableModel) jTableProductoSchPro.getModel();
        while (model.getRowCount() > 0){
            for (int i = 0; i < model.getRowCount(); ++i){
                model.removeRow(i);
            }
        }
    }//GEN-LAST:event_jButtonLimpiarSchMaterial1ActionPerformed

    private void jButtonProducirActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonProducirActionPerformed
        // TODO add your handling code here:
        DefaultTableModel materiales = (DefaultTableModel) jTableMaterialParaPro.getModel();
        DefaultTableModel productos = (DefaultTableModel) jTableProductoPro.getModel();
        ArrayList<Material> materialesUpdate = new ArrayList<>();
        ArrayList<Producto> productosUpdate = new ArrayList<>();
        for (int i=0; i<materiales.getRowCount(); i++) {
            materialesUpdate.add(new Material(
                    String.valueOf(materiales.getValueAt(i, 0)), 
                    Integer.parseInt(String.valueOf(materiales.getValueAt(i, 1))), 
                    Double.parseDouble(String.valueOf(materiales.getValueAt(i, 2)))));
        }
        for (int i=0; i<productos.getRowCount(); i++) {
            productosUpdate.add(new Producto(
                    String.valueOf(productos.getValueAt(i, 0)), 
                    Double.parseDouble(String.valueOf(productos.getValueAt(i, 2))) , 
                    Integer.parseInt(String.valueOf(productos.getValueAt(i, 1)))));
        }
        String cantidadProducir = JOptionPane.showInputDialog(null,"¿Cuantos productos desea producir?");
        String[] cantidadValidada = Validaciones.tryInt(cantidadProducir);
        if (cantidadValidada[0]=="true"){
            Produccion produccion = new Produccion();
            produccion.producir(materialesUpdate, productosUpdate, Integer.parseInt(cantidadValidada[1]));
        }else{
            JOptionPane.showMessageDialog(null, "Debe ser numero y cantidad cerrada!");
        }
    }//GEN-LAST:event_jButtonProducirActionPerformed

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(Empleado.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(Empleado.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(Empleado.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(Empleado.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new Empleado().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton jButton1;
    private javax.swing.JButton jButton2;
    private javax.swing.JButton jButton3;
    private javax.swing.JButton jButton5;
    private javax.swing.JButton jButton6;
    private javax.swing.JButton jButton7;
    private javax.swing.JButton jButton8;
    private javax.swing.JButton jButtonAgregaProductoPro;
    private javax.swing.JButton jButtonBjCoti;
    private javax.swing.JButton jButtonLimpiarSchMaterial;
    private javax.swing.JButton jButtonLimpiarSchMaterial1;
    private javax.swing.JButton jButtonMaterialProSch;
    private javax.swing.JButton jButtonMdfCoti;
    private javax.swing.JButton jButtonProSchBP;
    private javax.swing.JButton jButtonProSchBP1;
    private javax.swing.JButton jButtonProSchCP;
    private javax.swing.JButton jButtonProducir;
    private javax.swing.JButton jButtonProductoPro;
    private javax.swing.JButton jButtonSchCoti;
    private javax.swing.JButton jButtonVender;
    private javax.swing.JButton jButtonVentasSchBjCsClientes;
    private javax.swing.JButton jButtonVentasSchClientes;
    private javax.swing.JButton jButtonVentasSchCoti;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel14;
    private javax.swing.JLabel jLabel15;
    private javax.swing.JLabel jLabel16;
    private javax.swing.JLabel jLabel17;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JPanel jPanel3;
    private javax.swing.JPanel jPanel4;
    private javax.swing.JPanel jPanel5;
    private javax.swing.JPanel jPanel7;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JScrollPane jScrollPane10;
    private javax.swing.JScrollPane jScrollPane2;
    private javax.swing.JScrollPane jScrollPane3;
    private javax.swing.JScrollPane jScrollPane4;
    private javax.swing.JScrollPane jScrollPane5;
    private javax.swing.JScrollPane jScrollPane6;
    private javax.swing.JScrollPane jScrollPane7;
    private javax.swing.JScrollPane jScrollPane8;
    private javax.swing.JScrollPane jScrollPane9;
    private javax.swing.JTabbedPane jTabbedPane1;
    private javax.swing.JTabbedPane jTabbedPane2;
    private javax.swing.JTabbedPane jTabbedPane3;
    private javax.swing.JTabbedPane jTabbedPane4;
    private javax.swing.JTabbedPane jTabbedPane5;
    private javax.swing.JTable jTableMaterialParaPro;
    private javax.swing.JTable jTableMaterialPro;
    private javax.swing.JTable jTableProSchCP;
    private javax.swing.JTable jTableProductoPro;
    private javax.swing.JTable jTableProductoSchPro;
    private javax.swing.JTable jTableSchCoti;
    private javax.swing.JTable jTableVentasBjScSch;
    private javax.swing.JTable jTableVentasSchBjCsCliente;
    private javax.swing.JTable jTableVentasSchCliente;
    private javax.swing.JTable jTableVentasSchCoti;
    private javax.swing.JTextField jTextFieldMaterialPro;
    private javax.swing.JTextField jTextFieldModeloAltaCoti;
    private javax.swing.JTextField jTextFieldModeloCantidadCoti;
    private javax.swing.JTextField jTextFieldModeloSchCoti;
    private javax.swing.JTextField jTextFieldPrecioAltaCoti;
    private javax.swing.JTextField jTextFieldProSchCP;
    private javax.swing.JTextField jTextFieldProductoPro;
    private javax.swing.JTextField jTextSchBjCsApellidoCliente;
    private javax.swing.JTextField jTextSchBjCsCotiVentas;
    private javax.swing.JTextField jTextSchBjCsNombreCliente;
    private javax.swing.JTextField jTextSchBjCsRFCCliente;
    private javax.swing.JTextField jTextSchCliente;
    private javax.swing.JTextField jTextSchCliente1;
    private javax.swing.JTextField jTextSchCliente2;
    private javax.swing.JTextField jTextSchCotiVentas;
    // End of variables declaration//GEN-END:variables
}
